com.mathworks.mps.client

## Interface MWSSLConfig

- All Known Implementing Classes:
    MWSSLDefaultConfig

      public interface MWSSLConfig

  This interface allows MPS client to communicate with an MPS server instance over `HTTPS`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.net.ssl.HostnameVerifier` | `getHostnameVerifier()` Provides a user defined hostname verifier that will be used only if URL's hostname and server's hostname do not match during the default `HTTPS` hostname verification.
    `MWSSLServerAuthorizer` | `getServerAuthorizer()` Provides an interface for performing extra level of authorization based on the server certificate provided during the SSL handshake.
    `javax.net.ssl.SSLContext` | `getSSLContext()` Returns an `SSLContext` that provides secure socket protocol implementation required for supporting `HTTPS` protocol.

- - ### Method Detail

    - #### getSSLContext

          javax.net.ssl.SSLContext getSSLContext()

      Returns an `SSLContext` that provides secure socket protocol implementation required for supporting `HTTPS` protocol.
      Returns:
        An implementation of secure socket protocol

    - #### getHostnameVerifier

          javax.net.ssl.HostnameVerifier getHostnameVerifier()

      Provides a user defined hostname verifier that will be used only if URL's hostname and server's hostname do not match during the default `HTTPS` hostname verification. This hostname verifier decides if the connection should be allowed if the default `HTTPS` hostname verification fails.
      Returns:
        Custom implementation for hostname verification

    - #### getServerAuthorizer

          MWSSLServerAuthorizer getServerAuthorizer()

      Provides an interface for performing extra level of authorization based on the server certificate provided during the SSL handshake. The authorization is performed immediately after the handshake before any data is exchanged between the client and the server. If the authorization fails, the connection is not established.
      Returns:

Copyright 2010-2022 The MathWorks, Inc.